%define plasmaver %(echo %version | cut -d. -f1-3)

Name:          plasma-vault
Version:       5.21.3
Release:       1mamba
Summary:       KDE Plasma 5 Vault module
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{plasmaver}/plasma-vault-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkactivities5-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkpackage-devel
BuildRequires: libkservice-devel
BuildRequires: libksysguard-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: libksysguard-devel >= 5.19.0

%description
KDE Plasma 5 Vault module.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_libdir}/qt5/plugins/kf5/kded/plasmavault.so
%{_libdir}/qt5/plugins/plasma/applets/plasma_applet_vault.so
%{_libdir}/qt5/plugins/kf5/kfileitemaction/plasmavaultfileitemaction.so
%{_datadir}/kservices5/plasma-applet-org.kde.plasma.vault.desktop
%{_datadir}/metainfo/org.kde.plasma.vault.appdata.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.vault
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.vault/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.vault/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.vault/contents/ui/*
%{_datadir}/plasma/plasmoids/org.kde.plasma.vault/metadata.*
%doc COPYING COPYING.LIB

%changelog
* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 5.21.3-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 5.21.2-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 5.21.1-1mamba
- automatic version update by autodist

* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Tue Jan 05 2021 Automatic Build System <autodist@mambasoft.it> 5.20.5-1mamba
- automatic version update by autodist

* Wed Dec 02 2020 Automatic Build System <autodist@mambasoft.it> 5.20.4-1mamba
- automatic version update by autodist

* Wed Nov 11 2020 Automatic Build System <autodist@mambasoft.it> 5.20.3-1mamba
- automatic version update by autodist

* Wed Oct 28 2020 Automatic Build System <autodist@mambasoft.it> 5.20.2-1mamba
- automatic version update by autodist

* Wed Oct 21 2020 Automatic Build System <autodist@mambasoft.it> 5.20.1-1mamba
- automatic version update by autodist

* Wed Oct 14 2020 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Wed Sep 02 2020 Automatic Build System <autodist@mambasoft.it> 5.19.5-1mamba
- automatic version update by autodist

* Thu Jul 30 2020 Automatic Build System <autodist@mambasoft.it> 5.19.4-1mamba
- automatic version update by autodist

* Tue Jul 07 2020 Automatic Build System <autodist@mambasoft.it> 5.19.3-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 5.19.2-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.19.1-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.19.0-2mamba
- rebuilt with libksysguard 5.19.0

* Tue Jun 09 2020 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Wed May 06 2020 Automatic Build System <autodist@mambasoft.it> 5.18.5-1mamba
- automatic version update by autodist

* Mon Apr 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.4.1-1mamba
- update to 5.18.4.1

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 5.18.4-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 5.18.3-1mamba
- automatic version update by autodist

* Wed Feb 26 2020 Automatic Build System <autodist@mambasoft.it> 5.18.2-1mamba
- automatic version update by autodist

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 5.18.1-1mamba
- automatic version update by autodist

* Thu Feb 13 2020 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 5.17.5-1mamba
- automatic version update by autodist

* Tue Dec 03 2019 Automatic Build System <autodist@mambasoft.it> 5.17.4-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 5.17.3-1mamba
- automatic version update by autodist

* Wed Oct 30 2019 Automatic Build System <autodist@mambasoft.it> 5.17.2-1mamba
- automatic version update by autodist

* Wed Oct 23 2019 Automatic Build System <autodist@mambasoft.it> 5.17.1-1mamba
- automatic version update by autodist

* Wed Oct 16 2019 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.5-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 5.16.4-1mamba
- automatic version update by autodist

* Wed Jul 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.3-1mamba
- automatic version update by autodist

* Wed Jun 26 2019 Automatic Build System <autodist@mambasoft.it> 5.16.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2019 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Sun Jun 16 2019 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.3-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Wed Jan 09 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Sat Dec 01 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Sat Nov 10 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Thu Oct 25 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Wed Oct 17 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Wed Jul 11 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Tue Jun 26 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Sat Jun 16 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Wed May 02 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Wed Nov 08 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Mon Oct 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.2-1mamba
- package created using the webbuild interface
